Build Dependencies

This page lists the build dependencies for OpenNebula.

If you want to install it from your package manager, visit the software menu to find out if OpenNebula is included in your official distribution package repositories.

  • g++ compiler (>= 4.0)
  • xmlrpc-c development libraries (>= 1.06)
  • scons build tool (>= 0.98)
  • sqlite3 development libraries (if compiling with sqlite support) (>= 3.6)
  • mysql client development libraries (if compiling with mysql support) (>= 5.1)
  • libxml2 development libraries (>= 2.7)
  • libvncserver development libraries (>= 0.9)
  • openssl development libraries (>= 0.9.8)
  • ruby interpreter (>= 1.8.7)

Ubuntu 18.04

  • bash-completion
  • bison
  • debhelper (>= 7.0.50~)
  • default-jdk
  • flex
  • javahelper (>= 0.32)
  • kpartx
  • libmysql++-dev
  • libsqlite3-dev
  • libssl-dev
  • libsystemd-dev
  • libws-commons-util-java
  • libxml2-dev
  • libxmlrpc3-client-java
  • libxmlrpc3-common-java
  • libxmlrpc-c++8-dev
  • libxslt1-dev
  • libcurl4-openssl-dev
  • libcurl4
  • libvncserver-dev
  • ruby
  • scons

Ubuntu 16.04

  • bash-completion
  • bison
  • debhelper (>= 7.0.50~)
  • default-jdk
  • flex
  • javahelper (>= 0.32)
  • kpartx
  • libmysql++-dev
  • libsqlite3-dev
  • libssl-dev
  • libsystemd-dev
  • libws-commons-util-java
  • libxml2-dev
  • libxmlrpc3-client-java
  • libxmlrpc3-common-java
  • libxslt1-dev
  • libcurl4-openssl-dev
  • libvncserver-dev
  • ruby
  • scons

Ubuntu 14.04

  • bash-completion
  • bison
  • debhelper (>= 7.0.50~)
  • default-jdk
  • flex
  • javahelper (>= 0.32)
  • libmysql++-dev
  • libsqlite3-dev
  • libssl-dev
  • libws-commons-util-java
  • libxml2-dev
  • libxmlrpc3-client-java
  • libxmlrpc3-common-java
  • libxslt1-dev
  • libcurl4-openssl-dev
  • libvncserver-dev
  • ruby
  • scons
  • libxmlrpc-c++8-dev

Debian 9

  • bison
  • default-jdk
  • flex
  • javahelper
  • libmysql++-dev
  • libsqlite3-dev
  • libssl-dev
  • libsystemd-dev
  • libws-commons-util-java
  • libxml2-dev
  • libxmlrpc-c++8-dev
  • libxmlrpc3-client-java
  • libxmlrpc3-common-java
  • libxslt1-dev
  • libvncserver-dev
  • ruby
  • scons

CentOS 7

  • gcc-c++
  • java-1.7.0-openjdk-devel
  • libcurl-devel
  • libxml2-devel
  • mysql-devel
  • openssh
  • openssl-devel
  • pkgconfig
  • ruby
  • scons
  • sqlite-devel
  • sqlite-devel
  • systemd-devel
  • xmlrpc-c
  • xmlrpc-c-devel
  • libvncserver-devel

CentOS 6

  • gcc-c++
  • libcurl-devel
  • libxml2-devel
  • xmlrpc-c-devel
  • openssl-devel
  • mysql-devel
  • openssh
  • pkgconfig
  • ruby
  • scons
  • sqlite-devel
  • xmlrpc-c
  • java-1.7.0-openjdk-devel
  • libvncserver-devel

Arch

They are listed in this PKGBUILD.